xml-commons-resolver API: Class xread

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.resolver.apps
Class xread

    java.lang.Object
      |
      +--org.apache.xml.resolver.apps.xread

public class xread
extends java.lang.Object

A simple command-line XML parsing application.

This class implements a simple command-line XML Parser. It's just a little wrapper around the JAXP XMLReader with support for catalogs.

Usage: xread [options] document.xml

Where:

`-c` catalogfile
  Load a particular catalog file.
`-w`
  Perform a well-formed parse, not a validating parse.
`-v` (the default)
  Perform a validating parse.
`-s`
  Enable W3C XML Schema validation.
`-n`
  Perform a namespace-ignorant parse.
`-N` (the default)
  Perform a namespace-aware parse.
`-d` integer
  Set the debug level. Warnings are shown if the debug level is > 2.
`-E` integer
  Set the maximum number of errors to display.

The process ends with error-level 1, if there errors.

Version:
  1.0
Author:
  Norman Walsh Norman.Walsh@Sun.COM
See Also:
  `ResolvingXMLReader`

Constructor Summary
`xread()`

Method Summary
`static void` | `main(java.lang.String[] args)` The main entry point

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### xread

    public xread()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.io.FileNotFoundException,
                            java.io.IOException

  The main entry point

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.